FlexNet Licensing: 要件

オンプレミス、SaaS、クラウド、仮想化および組み込みアプリケーションの堅牢なソフトウェア・ライセンス・テクノロジで、IP を収益化し保護

要件

FlexNet Publisher プラットフォームは、次のオペレーティングシステムとプロセッサをサポートしています。FlexNet Publisher プラットフォームは、オペレーティングシステムと特定のプロセッサの組み合わせとして定義できます。各プラットフォームは、個別にライセンス供与され、OS、プロセッサ、ビルド構成の許容最大セットに対応できるように設計されています。

注:顧客が Java ベースのアプリケーションの開発を希望する場合は、アプリケーションのターゲットプラットフォームに加えて、FlexNet Publisher Oracle Java Development Kit も購入する必要があります。

Windows 7 ロゴ LSB ロゴ

 

オペレーティングシステム プロセッサ バージョン
AIX 32 ビット
  • PowerPC
  • AIX 5.3 ML 007
  • AIX 6.1 ML 006
  • AIX 7.1 ML 000
  • ショートコード処理はサポートされません。
  • クライアントライブラリのデフォルトは PIC です。そのため、ツールキットではこれらライブラリの 1 つのバージョンのみが提供されます。
  • Java SDK はサポートされません。
  • 不正使用防止アプリケーションはサポートされません。
AIX 64 ビット
  • PowerPC
  • AIX 5.3 ML 007
  • AIX 6.1 ML 006
  • AIX 7.1 ML 000
  • lmadmin 32 ビットバイナリがサポートされます (lmadmin 64 ビットライブラリは利用できません)。
  • ショートコード処理はサポートされません。
  • このプラットフォームで ar -X64 および strip -X64 を使用する必要があります。
  • クライアントライブラリのデフォルトは PIC です。そのため、ツールキットではこれらライブラリの 1 つのバージョンのみが提供されます。
  • Java SDK はサポートされません。
  • 不正使用防止アプリケーションはサポートされません。
HP-UX 32 ビット
  • PA-RISC
  • HP-UX 11i v2
  • HP-UX 11i v3
  • ショートコード処理はサポートされません。
  • 不正使用防止アプリケーションはサポートされません。
HP-UX 64 ビット
  • PA-RISC
  • HP-UX 11i v2
  • HP-UX 11i v3
  • ショートコード処理はサポートされません。
  • 不正使用防止アプリケーションはサポートされません。
HP-UX 64 ビット
  • Itanium
  • HP-UX 11i v2
  • HP-UX 11i v3
  • ショートコード処理はサポートされません。
  • 不正使用防止アプリケーションはサポートされません。
Java Development Kit
  • Solaris SPARC-32
  • Solaris SPARC-64
  • Solaris x86-32
  • Solaris x86-64
  • Windows x86-32
  • Windows x86-64
  • Linux x86-32
  • Linux x86-64
  • Java Standard Edition 1.7
  • Java Standard Edition 1.6
  • 不正使用防止ライセンス (TRL) を有効にする必要があります。
  • ライセンスの生成には C 開発環境が必要です。
  • Java クライアントライブラリのみを対象に FlexNet Licensing API を実装します。
  • 不正使用防止アプリケーションはサポートされません。
Linux 32 ビット
  • x86
  • PowerPC
  • Red Hat Enterprise Linux 5
  • Red Hat Enterprise Linux 6
  • SUSE Linux Enterprise 9
  • SUSE Linux Enterprise 10
  • SUSE Linux Enterprise 11
  • lmadmin は x86 上でのみサポートされます。
  • ショートコード処理はサポートされます (RHEL x86 のみ)。
  • VMware ESX Server 4.0 および 4.1 は x86 でサポートされます。
  • VMware Workstation 7.1 は x86 でサポートされます。
  • Microsoft Windows Server 2008 R2 Hyper-V は x86 でサポートされます。
  • Microsoft Hyper-V Server 2008 R2 は x86 でサポートされます。
  • Citrix XenServer 6.0
Linux 64 ビット
  • x86-64
  • PowerPC-64
  • Red Hat Enterprise Linux 5
  • Red Hat Enterprise Linux 6
  • SUSE Linux Enterprise 9
  • SUSE Linux Enterprise 10
  • SUSE Linux Enterprise 11
  • lmadmin 32 ビットバイナリがサポートされます(lmadmin 64 ビットライブラリは利用できません)。
  • ショートコード処理はサポートされません。
  • VMware ESX Server 4.0 および 4.1 は x86-64 でサポートされます。
  • VMware Workstation 7.1 は x86-64 でサポートされます。
  • Microsoft Windows Server 2008 R2 Hyper-V は x86-64 でサポートされます。
  • Microsoft Hyper-V Server 2008 R2 は x86-64 でサポートされます。
  • Citrix XenServer 6.0
Mac OS X 32 ビット
  • x86
  • Mac OS X 10.8
  • Mac OS X 10.7
  • Mac OS X 10.6
  • Mac OS X 10.5
  • ユニバーサルバイナリ
Mac OS X 64 ビット
  • x86-64
  • Mac OS X 10.8
  • Mac OS X 10.7
  • Mac OS X 10.6
  • Mac OS X 10.5
  • ユニバーサルバイナリ
  • lmadmin 32 ビットバイナリがサポートされます(lmadmin 64 ビットライブラリは利用できません)。
Windows 32 ビット
  • x86
  • Windows Server 2008 (SP1 および SP2 を含む)
  • Windows Vista (SP1 および SP2 を含む)
  • Windows 7 (SP1 を含む)
  • Windows Server 2003 (SP2 および R2 を含む)
  • Windows XP (SP3 を含む)
  • サポートされる仮想マシンプラットフォームは次のとおりです。
  • VMware Workstation 7.1
  • VMware ESX 4.0 および 4.1
  • Microsoft Windows Server 2008 R2 Hyper-V
  • Microsoft Hyper-V Server 2008 R2
  • Citrix XenServer 6.0
Windows 64 ビット
  • x86-64
  • Windows Server 2008 (SP2 および R2 を含む)
  • Windows Vista (SP1 および SP2 を含む)
  • Windows 7
  • Windows Server 2003 (SP2 および R2 を含む)
  • Windows XP Professional x64 Edition
  • lmadmin 32 ビットバイナリがサポートされます(lmadmin 64 ビットライブラリは利用できません)。
  • サポートされる仮想マシンプラットフォームは次のとおりです。
    • VMware Workstation 7.1
    • VMware ESX 4.0 および 4.1
    • Microsoft Windows Server 2008 R2 Hyper-V
    • Microsoft Hyper-V Server 2008 R2
    • Citrix XenServer 6.0
Windows 64 ビット
  • Itanium
  • Windows Server 2008 (SP2 および R2 を含む)
  • Windows Server 2003 (SP1 および R2 を含む)
  • ショートコード処理はサポートされません。
  • 不正使用防止アプリケーションはサポートされません。
  • パラレルまたは USB ドングル (FlexNet ID) はサポートされません。
Linux 64 ビット
  • Itanium
  • Red Hat Enterprise Linux 5.0
  • ショートコード処理はサポートされません。
SGI 64 ビット
  • MIPS
  • IRIX 6.5
  • 不正使用防止アプリケーションはサポートされません。
Solaris 32 ビット
  • SPARC-32
  • x86-32
  • Solaris 9
  • Solaris 10
  • Solaris 11
  • ショートコード処理はサポートされません。
Solaris 64 ビット
  • SPARC-64
  • x86-64
  • Solaris 9 (SPARC のみ)
  • Solaris 10
  • Solaris 11
  • lmadmin 32 ビットバイナリがサポートされます(lmadmin 64 ビットライブラリは利用できません)。
  • ショートコード処理はサポートされません。

 

コンパイラ情報:
Windows、Unix、および Linux プラットフォーム上で FlexNet Publisher をコンパイルする場合は、次のコンパイラが必要です。詳細は、リリースノートを参照してください。

オペレーティングシステム コンパイラバージョン
AIX 32 ビット
  • cc (IBM XLC) 9.0 および 11.1
 
AIX 64 ビット
  • cc (IBM XLC) 9.0 および 11.0
 
HP-UX 32 ビット
  • cc (HP C コンパイラ) 11.11.14
 
HP-UX 64 ビット
  • cc (HP C コンパイラ) 11.11.14 (PA-RISC)
  • HP aC++/ANSI C B3910B A.06.05 (Itanium)
 
Linux 32 ビット

x86-32 コンパイラ:

  • gcc 4.0.4 (RHEL 5.0)
  • gcc 4.1.2 (RHEL 5.0)
  • gcc 4.4.4 (RHEL 6.0)
  • gcc 3.3.3 (SUSE 9 SP3 以降)
  • gcc 4.1.0 (SUSE 10)
  • gcc 4.1.2 (SUSE 10 および 11)
  • gcc 4.3.4 (SUSE 11)

PowerPC コンパイラ:

  • gcc 3.2.3 (RHEL)
  • gcc 3.3.3 (SUSE)
  • gcc 4.0.4 (RHEL 5.0)
  • gcc 4.4.4 (RHEL 6.0)
  • gcc 4.1.2 (SUSE 11)
 
Linux 64 ビット

x86-64 コンパイラ:

  • gcc 4.0.4 (RHEL 5.0)
  • gcc 4.1.2 (RHEL 5.0)
  • gcc 4.4.4 (RHEL 6.0)
  • gcc 3.3.3 (SUSE 9 SP3 以降)
  • gcc 4.1.0 (SUSE 10)
  • gcc 4.1.2 (SUSE 11)
  • gcc 4.3.4 (SUSE 11)

PowerPC コンパイラ:

  • gcc 4.0.4 (RHEL 5.0)
  • gcc 4.4.4 (RHEL 6.0)
  • gcc 3.4.6 (SUSE 9.3)
  • gcc 4.1.2 (SUSE 10 および 11)
 
Mac OS X 32 ビットおよび 64 ビット
  • gcc 4.0.1
  • gcc 4.2.1
 
Windows 32 ビット

MSVC 2005:

  • Visual Studio 2005 (SP1 を含む)

MSVC 2008:

  • Visual Studio 2008 (SP1 を含む)

MSVC 2010:

  • Visual Studio 2010
 
Windows 64 ビット

MSVC 2005:

  • Visual Studio 2005 (SP1 を含む)

MSVC 2008:

  • Visual Studio 2008 (SP1 を含む)

MSVC 2010:

  • Visual Studio 2010
 
Windows 64 ビット Itanium
  • Platform SDK 2003 7.00.8882
 
Red Hat Linux 64 ビット Itanium
  • gcc 3.4.4
  • gcc 3.4.6
 
SGI 64 ビット
  • MIPSpro コンパイラ: バージョン 7.4
 
Solaris 32 ビット

x86-32 コンパイラ:

  • cc (Sun C) 5.8
  • cc (Sun C) 5.10
  • cc (Sun C) 5.12

SPARC コンパイラ:

  • cc (Sun C) 5.8
  • cc (Forte Dev 7) 5.4
  • cc (Sun C) 5.12
 
Solaris 64 ビット

x86-64 コンパイラ:

  • cc (Sun C) 5.8
  • cc (Sun C) 5.10
  • cc (Sun C) 5.12

SPARC コンパイラ:

  • cc (Sun C) 5.8
 

戻る FlexNet Licensing